program fjf232a;

Var
  X, Y, Z: Integer;

operator + (var a, b : integer) = c : Integer;
begin
  inc ( a, b );
  c:= a
end;

begin
  X:= 7;
  Z:= 35;
  Y:= X + Z;
  if X = 42 then
    writeln ( 'OK' )
  else
    writeln ( 'failed' )
end.
